﻿.navbar:has(.navbar-toggler[aria-expanded=true]) .navbar-brand {
    border-bottom: 1px solid #484848;
}

.navbar-toggler:focus {
    box-shadow: none;
    border-color: var(--bs-secondary-color);
}

/* FOOTER */
footer .footer-link {
    color: var(--bs-secondary-color);
}

.alert-box {
    position: fixed;
    top: 3%;
    left: 50%;
    transform: translate(-50%);
    max-width: 750px;
    z-index: 9999;
}

    .alert-box .alert:last-child {
        margin: 0;
    }

.hidden {
    display: none;
}

div.popover {
    max-width: none;
}

.popover-body {
    background-color: #fff;
    text-align: center;
    white-space: nowrap;
}

.popover-header {
    text-align: center;
}

.popover-body > img {
    display: inline-block;
    height: 250px;
}

.popover-body > div {
    display: inline-block;
    padding-left: 5px;
    text-align: left;
    vertical-align: middle;
}

.locale-dropdown .dropdown-item {
    text-transform: capitalize;
}

/* FILE INPUT DROPOFF ZONE */
.fancy-input {
    --offset: 2rem;
    display: inline-block;
    position: relative;
    cursor: pointer;
    border: .125em solid var(--bs-primary);
    border-radius: .5rem;
    outline: .125em dashed var(--bs-primary);
    outline-offset: -.5em;
    transition: outline-offset 150ms ease-in-out, background-color 150ms linear;
}

    .fancy-input:is(:hover, :focus, :focus-within) {
        outline-offset: -1em;
        background-color: var(--bs-light);
    }

    .fancy-input::before {
        content: "\F358";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translateX(-50%) translateY(calc(-50% - var(--offset)));
        font-family: 'bootstrap-icons' !important;
        font-size: 4em;
    }

    .fancy-input::after {
        content: var(--file-count, "Browse files...");
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translateX(-50%) translateY(calc(-50% + var(--offset)));
    }

    .fancy-input [type=file] {
        opacity: 0;
        width: 100%;
        height: 100%;
        min-height: 15em;
    }

/* WEIRDO */
.dataTables_length label select {
    padding-right: 2em;
}

[data-trigger="click"] {
    cursor: pointer;
}

.offcanvas-wide {
    width: 35vw !important;
}

p {
    margin-bottom: 0;
}

/* table styling */
tr > td {
    vertical-align: middle;
}

    tr > td > button {
        display: block !important;
        margin-inline: auto;
    }

/* general stylings */
.required::after,
.form-label:has(+ .form-control[required])::after,
.form-label:has(+ .form-select[required])::after,
.form-check-label:has(+ .form-check-input[required])::after,
.form-label:has(+ .form-check input[required])::after {
    content: '*';
    color: var(--bs-danger);
    margin-left: .25em;
}

/* confirm dialog notification message textarea */
.form-check:has(#notification-checkbox:not(:checked)) + .form-group {
    display: none;
}
